# H225_IsupNumber Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_e164Number, e_dataPartyNumber, e_telexPartyNumber, e_privateNumber, e_nationalStandardPartyNumber }

## Public Member Functions

| H225_IsupNumber (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_IsupPublicPartyNumber & ()
| operator const H225_IsupPublicPartyNumber & () const
| operator H225_IsupDigits & ()
| operator const H225_IsupDigits & () const
| operator H225_IsupPrivatePartyNumber & ()
| operator const H225_IsupPrivatePartyNumber & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_IsupNumber::Choices

Enumerator:

  e_e164Number |
  e_dataPartyNumber |
  e_telexPartyNumber |
  e_privateNumber |
  e_nationalStandardPartyNumber |

## Constructor & Destructor Documentation

H225_IsupNumber::H225_IsupNumber | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_IsupNumber::operator H225_IsupPublicPartyNumber & | ( |  | ) |

H225_IsupNumber::operator const H225_IsupPublicPartyNumber & | ( |  | ) | const

H225_IsupNumber::operator H225_IsupDigits & | ( |  | ) |

H225_IsupNumber::operator const H225_IsupDigits & | ( |  | ) | const

H225_IsupNumber::operator H225_IsupPrivatePartyNumber & | ( |  | ) |

H225_IsupNumber::operator const H225_IsupPrivatePartyNumber & | ( |  | ) | const

PBoolean H225_IsupNumber::CreateObject | ( |  | ) |

PObject* H225_IsupNumber::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h